version: "1.0"
linter: jetbrains/qodana-php:2023.1-eap
failThreshold: 20000
profile:
  name: qodana.recommended
exclude:
  - name: All
    paths:
      - dev
      - build
      - doc
      - documents
      - node_modules
      - test
      - htdocs/custom
      - htdocs/includes
      - htdocs/install/doctemplates
      - htdocs/modulebuilder/template/test/phpunit/functionnal
      - htdocs/theme/common/fontawesome-5
  - name: BadExpressionStatementJS
  - name: CommaExpressionJS
  - name: DuplicatedCode
  - name: HtmlWrongAttributeValue
  - name: JSCheckFunctionSignatures
  - name: JSDuplicatedDeclaration
  - name: JSEqualityComparisonWithCoercion
  - name: JSHint
  - name: JSIgnoredPromiseFromCall
  - name: JSJQueryEfficiency
  - name: JSPrimitiveTypeWrapperUsage
  - name: JSTypeOfValues
  - name: JSUnnecessarySemicolon
  - name: JSUnresolvedLibraryURL
  - name: JSUnusedAssignment
  - name: JSUnusedLocalSymbols
  - name: JSValidateTypes
  - name: PhpArrayAccessCanBeReplacedWithForeachValueInspection
  - name: PhpArrayIndexImmediatelyRewrittenInspection
  - name: PhpArrayIsAlwaysEmptyInspection
  - name: PhpArrayPushWithOneElementInspection
  - name: PhpArraySearchInBooleanContextInspection
  - name: PhpArrayUsedOnlyForWriteInspection
  - name: PhpArrayWriteIsNotUsedInspection
  - name: PhpCastIsUnnecessaryInspection
  - name: PhpClassConstantAccessedViaChildClassInspection
  - name: PhpConcatenationWithEmptyStringCanBeInlinedInspection
  - name: PhpConditionAlreadyCheckedInspection
  - name: PhpConditionCanBeReplacedWithMinMaxCallInspection
  - name: PhpConditionCheckedByNextConditionInspection
  - name: PhpCoveredCharacterInClassInspection
  - name: PhpDefineCanBeReplacedWithConstInspection
  - name: PhpDeprecationInspection
  - name: PhpDocMissingThrowsInspection
  - name: PhpDuplicateCatchBodyInspection
  - name: PhpDuplicateSwitchCaseBodyInspection
  - name: PhpExpressionAlwaysNullInspection
  - name: PhpExpressionResultUnusedInspection
  - name: PhpExpressionWithSameOperandsInspection
  - name: PhpFieldImmediatelyRewrittenInspection
  - name: PhpFullyQualifiedNameUsageInspection
  - name: PhpIfWithCommonPartsInspection
  - name: PhpIllegalStringOffsetInspection
  - name: PhpInArrayCanBeReplacedWithComparisonInspection
  - name: PhpIncludeInspection
  - name: PhpIssetCanBeReplacedWithCoalesceInspection
  - name: PhpIssetCanCheckNestedAccessDirectlyInspection
  - name: PhpLanguageLevelInspection
  - name: PhpLoopCanBeReplacedWithImplodeInspection
  - name: PhpLoopCanBeReplacedWithStrRepeatInspection  
  - name: PhpMissingParamTypeInspection
  - name: PhpMissingParentConstructorInspection  
  - name: PhpMissingReturnTypeInspection
  - name: PhpNestedDirNameCallsCanBeReplacedWithLevelParameterInspection
  - name: PhpObjectFieldsAreOnlyWrittenInspection
  - name: PhpParameterByRefIsNotUsedAsReferenceInspection
  - name: PhpParameterNameChangedDuringInheritanceInspection
  - name: PhpPointlessBooleanExpressionInConditionInspection  
  - name: PhpPossiblePolymorphicInvocationInspection
  - name: PhpPregMatchReplaceWithComparisonInspection
  - name: PhpPregReplaceWithEmptyReplacementInspection
  - name: PhpPropertyOnlyWrittenInspection
  - name: PhpRedundantCatchClauseInspection
  - name: PhpRedundantOptionalArgumentInspection
  - name: PhpRedundantVariableDocTypeInspection
  - name: PhpRegExpRedundantModifierInspection
  - name: PhpReturnDocTypeMismatchInspection  
  - name: PhpReturnValueOfMethodIsNeverUsedInspection
  - name: PhpSameParameterValueInspection  
  - name: PhpSillyAssignmentInspection
  - name: PhpStatementHasEmptyBodyInspection
  - name: PhpSuspiciousNameCombinationInspection
  - name: PhpSwitchStatementWitSingleBranchInspection
  - name: PhpSwitchWithCommonPartsInspection
  - name: PhpTernaryExpressionCanBeReducedToShortVersionInspection
  - name: PhpTernaryExpressionCanBeReplacedWithConditionInspection
  - name: PhpUndefinedClassConstantInspection
  - name: PhpUndefinedClassInspection
  - name: PhpUndefinedMethodInspection
  - name: PhpUndefinedNamespaceInspection
  - name: PhpUnhandledExceptionInspection
  - name: PhpUnnecessaryLocalVariableInspection
  - name: PhpUnusedAliasInspection
  - name: PhpUnusedAliasInspection
  - name: PhpUnusedLocalVariableInspection
  - name: PhpUnusedParameterInspection
  - name: PhpUnusedPrivateFieldInspection
  - name: PhpUnusedPrivateMethodInspection
  - name: PhpWriteAccessToReferencedArrayValueWithoutUnsetInspection
  - name: PhpWrongForeachArgumentTypeInspection
  - name: PhpWrongStringConcatenationInspection
  - name: RegExpRedundantEscape
  - name: RegExpSimplifiable
  - name: RegExpSingleCharAlternation
  - name: RegExpUnnecessaryNonCapturingGroup
  - name: ReservedWordUsedAsNameJS
  - name: TrivialIfJS
  - name: UnnecessaryLabelJS
  - name: UnnecessaryReturnJS
  - name: UnreachableCodeJS
  
